import { UserService } from './user.service';
import { CreateUserDto } from './dto/create-user.dto';
import { commonServices } from 'src/services/commonServices';
import { Response } from 'express';
export declare class UserController {
    private readonly userService;
    private commonServices;
    constructor(userService: UserService, commonServices: commonServices);
    registerUser(userData: CreateUserDto, res: Response, req: any): Promise<Response<any, Record<string, any>>>;
    userLogin(userData: CreateUserDto, res: Response, req: any): Promise<Response<any, Record<string, any>>>;
    forgotPassword(userData: CreateUserDto, res: Response, req: any): Promise<Response<any, Record<string, any>>>;
    verifyOtp(userData: CreateUserDto, res: Response, req: any): Promise<Response<any, Record<string, any>>>;
    changePassword(userData: CreateUserDto, res: Response, req: any): Promise<Response<any, Record<string, any>>>;
    updateProfile(userData: CreateUserDto, file: Express.Multer.File, res: Response, req: any): Promise<Response<any, Record<string, any>>>;
    logout(userData: CreateUserDto, res: Response, req: any): Promise<Response<any, Record<string, any>>>;
    deleteAccount(res: Response, req: any): Promise<Response<any, Record<string, any>>>;
    socialLogin(data: any, res: Response, req: any): Promise<Response<any, Record<string, any>>>;
}
